
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何使用中文维基百科语料 / iVAN</title>

    <meta name="description" content="如何使用中文维基百科语料 前言 在做自然语言处理时很多时候都会需要中文语料库,高质量的中文语料库较难找,维基百科和百度百科算是比较不错的语料库.其中维基百科会定时将语料库打包发布 https://dumps.wikimedia.org/zhwiki/ ,可以下载最新版本的语料库.而百度百科则需要自己去爬,不过也有人把爬好的语料贡献出来了,https://pan.baidu.com/share/init?surl=i3wvfil提取码 neqs . 这篇文章主要讲下如何使用中文维基百科的语料库. Wikipedia Dum">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何使用中文维基百科语料</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>前言</h2>
<p>在做自然语言处理时很多时候都会需要中文语料库，高质量的中文语料库较难找，维基百科和百度百科算是比较不错的语料库。其中维基百科会定时将语料库打包发布 <code>https://dumps.wikimedia.org/zhwiki/</code> ，可以下载最新版本的语料库。而百度百科则需要自己去爬，不过也有人把爬好的语料贡献出来了，<code>https://pan.baidu.com/share/init?surl=i3wvfil</code>提取码 neqs 。</p>
<p>这篇文章主要讲下如何使用中文维基百科的语料库。</p>
<h2>Wikipedia Dump</h2>
<p>通过 <code>https://dumps.wikimedia.org/zhwiki/latest/zhwiki-latest-pages-articles.xml.bz2</code> 可以下载最新的中文维基百科语料，目前大小为1.37G左右，里面内容以xml格式保存，所以我们后续还是需要做处理的。xml节点信息类似如下</p>
<pre><code>&lt;page&gt;
  &lt;title&gt;&lt;/title&gt;
  &lt;id&gt;&lt;/id&gt;
  &lt;timestamp&gt;&lt;/timestamp&gt;
  &lt;username&gt;&lt;/username&gt;
  &lt;comment&gt;&lt;/comment&gt;
  &lt;text xml:space="preserve"&gt;&lt;/text&gt;
&lt;/page&gt;</code></pre>
<p>根据标签名容易知道各个节点内容表示的意义，text节点为文章内容，它里面其实还包含了很多其他的一些符号，也是需要过滤掉的。</p>
<h2>抽取数据</h2>
<p>对于上述下载的语料库，需要进一步抽取，可以选择 <br />
* 自己写程序抽取。 <br />
* 使用Wikipedia Extractor抽取。 <br />
* 使用gensim中wikicorpus库抽取。</p>
<p>由于维基百科语料库有很多符号，使用场景不同过滤的内容也不同，根据自己需要处理即可。这里直接使用Wikipedia Extractor先初步处理，</p>
<pre><code>git clone https://github.com/attardi/wikiextractor.git wikiextractor

cd wikiextractor

python setup.py install

python WikiExtractor.py -b 1024M -o extracted zhwiki-latest-pages-articles.xml.bz2
</code></pre>
<p>执行过程如下，可以看到一共处理了965446篇文章。</p>
<pre><code>INFO:root:5913353       服务水平管理
INFO:root:5913361       釋紹宗
INFO:root:5913367       2018年冬季奥林匹克运动会朝鲜代表团
INFO:root:5913369       扶搖
INFO:root:5913390       彭郁真
INFO:root:5913402       施耐德75毫米极轻便山炮
INFO:root:5913435       伊恩·麥奈爾
INFO:root:5913442       雷曼2：胜利大逃亡
INFO:root:5913443       兆丰洋行
INFO:root:5913445       有點想
INFO:root:5913446       田中淡
INFO:root:5913450       玩具指挥官
INFO:root:5913453       圣诞怪杰 (游戏)
INFO:root:5913457       Ontario Solar panel business proposal
INFO:root:5913458       特摄冒险话剧 超级英雄列传
INFO:root:5913465       玩具总动员2：拯救巴斯光年
INFO:root:5913467       佳能 EOS-1
INFO:root:5913480       南秉吉
INFO: Finished 11-process extraction of 965446 articles in 847.7s (1138.8 art/s)</code></pre>
<p>通过以上抽取后得到两个文件<code>wiki_00</code>和<code>wiki_01</code>。里面的格式类似下面</p>
<pre><code>&lt;doc id="5323477" url="https://zh.wikipedia.org/wiki?curid=5323477" title="結構與能動性"&gt;
文章内容
&lt;/doc&gt;</code></pre>
<h2>二次处理</h2>
<p>通过Wikipedia Extractor处理时会将一些特殊标记的内容去除了，但有时这些并不影响我们的使用场景，所以只要把抽取出来的标签和一些空括号、「」、『』、空书名号等去除掉即可。</p>
<pre><code>import re
import sys
import codecs
def filte(input_file):
    p1 = re.compile('（）')
    p2 = re.compile('《》')
    p3 = re.compile('「')
    p4 = re.compile('」')
    p5 = re.compile('&lt;doc (.*)&gt;')
    p6 = re.compile('&lt;/doc&gt;')
    outfile = codecs.open('std_' + input_file, 'w', 'utf-8')
    with codecs.open(input_file, 'r', 'utf-8') as myfile:
        for line in myfile:
            line = p1.sub('', line)
            line = p2.sub('', line)
            line = p3.sub('', line)
            line = p4.sub('', line)
            line = p5.sub('', line)
            line = p6.sub('', line)
            outfile.write(line)
    outfile.close()
if __name__ == '__main__':
    input_file = sys.argv[1]
    filte(input_file)</code></pre>
<h2>繁体转简体</h2>
<p>维基百科语料库中包含了大量的繁体中文，对于我们可能需要将其转换成简体中文，这里使用opencc来进行转换。两种方式使用opencc， <br />
* 直接使用opencc的windows版本，然后执行命令对文件进行转换，可到<code>https://bintray.com/package/files/byvoid/opencc/OpenCC</code>下载。 <br />
* 使用opencc的python版本，这个在python3.5下可能会报错，执行命令，<code>pip install opencc-python</code>，可能会报错：<code>ImportError: No module named distribute_setup</code>，这时要到<code>http://download.csdn.net/download/tab_space/9455349</code>下载并解压，将<code>distribute_setup.python</code>文件复制到python安装目录下的Lib目录下。再次执行命令，可能又会报错：<code>chown() missing 1 required positional argument: 'numeric_owner'</code>，这时需要将<code>distribute_setup.python</code>文件中<code>self.chown(tarinfo, dirpath)</code>改为<code>self.chown(tarinfo, dirpath, '')</code>。</p>
<p>这里使用windows版本的opencc，执行如下命令将<code>wiki_00</code>和<code>wiki_01</code>文件中繁体转换成简体。</p>
<pre><code>opencc -i wiki_00 -o zh_wiki_00 -c t2s.json

opencc -i wiki_01 -o zh_wiki_01 -c t2s.json</code></pre>
<h2>分词</h2>
<p>如果还要继续进行分词操作可以使用jieba，直接python安装jieba，然后执行下面脚本，</p>
<pre><code>import jieba
import re
filename='cut_std_zh_wiki_01'
fileneedCut='std_zh_wiki_01'
fn=open(fileneedCut,"r",encoding="utf-8")
f=open(filename,"w+",encoding="utf-8")
for line in fn.readlines():
    words=jieba.cut(line)
    for w in words:
       f.write(str(w))
f.close()
fn.close()</code></pre>
<p>以下是<strong><em>广告</em></strong></p>
<p>========广告时间========</p>
<p>鄙人的新书《Tomcat内核设计剖析》已经在京东销售了，有需要的朋友可以到 <a href="https://item.jd.com/12185360.html" rel="external nofollow noreferrer">https://item.jd.com/12185360.html</a> 进行预定。感谢各位朋友。</p>
<p><a href="http://blog.csdn.net/wangyangzhizhou/article/details/74080321" rel="external nofollow noreferrer">为什么写《Tomcat内核设计剖析》</a></p>
<p>=========================</p>
<p>欢迎关注：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNzA1MDkxMDI1Mzk2NTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZDJGdVozbGhibWQ2YUdsNmFHOTEvZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg"><br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNzEwMDkxNTM2MjA4NDI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZDJGdVozbGhibWQ2YUdsNmFHOTEvZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:06:08</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/utf-8/" title="utf-8">utf-8</a>, <a href="https://www.iamivan.net/tag/open/" title="open">open</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何使用中文维基百科语料的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NyRWM.html" rel="bookmark">&lbrack;python&rsqb; lantern访问中文维基百科及selenium爬取维基百科语料</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				希望文章对你有所帮助,尤其是web爬虫初学者和NLP相关同学.当然你也能,懂的~ 目录: 0 前言 1 lantern访问中文维基百科 2 Selenium调用Chrome自动访问维基百科 3 Selenium爬取维基百科信息 代码及软件下载地址:http://download.csdn.net/detail/eastmount/9422875 0 前言 在对海量知识挖掘和自然语言处理(Natural Language Processing,简称NLP)中会大量涉及到三大百科的语料问题,尤其是中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Aalxz.html" rel="bookmark">外国维基百科网站为何众多志愿者？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				世界上最受欢迎的五大网站之一维基百科,其创始人威尔斯写信寻捐助引发了大众对网站破产忧虑.面临http://www.aliyun.com/zixun/aggregation/37831.html&quot;&gt;经济危机的情况,维基百科寻求捐款由威尔斯亲自执笔请求用户捐款还属首次.登录中文界面的维基百科,你可以看到赫然写着:維基百科,令生活更便利,下面显示着目前捐款的数额,和目標捐款金额:6,000,000美元,到笔者登录该站的时候该站已经募集到资金:4,558,322美元. 面对维基百科网站的举动,周新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YZQ7p.html" rel="bookmark">维基百科切换到 HTTPS 后挫败了政府审查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2015 年 6 月,维基媒体基金会宣布维基百科默认启用 HTTPS,基金会称此举旨在保护访问者的隐私和安全,让用户能安全和不被审查的自由获取知识.在没有启用 HTTPS 的年代,审查者能知道访问者访问了维基百科上的哪些条目,它们能针对的屏蔽它们不喜欢的特定条目.在中文维基百科,这样的条目数不胜数,因此中文维基社区担心启用 HTTPS 之后,无法屏蔽特定条目的政府会屏蔽整个网站.之后的情况确实如此,但从全球范围看,启用 HTTPS 却减少了政府的审查. 哈佛大学 Berkman 互联网和社会中心			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrylyxb.html" rel="bookmark">维基百科创始人来华获赠中文商标</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				全球最大的百科网站维基百科创始人吉米·威尔士昨日访华,并接受了&quot;维基百科&quot;中文商标及图片商标的捐赠.成立于2001年的维基百科是一个自由.免费.内容开放的百科全书协作计划,任何人都可以编辑维基百科中的任何文章及条目,开创了互联网的新模式.商报记者 罗添/文 车亮/摄			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MynGP4p.html" rel="bookmark">维基百科创始人访华接受中文商标捐赠</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				9月15日下午消息,中文百科网站互动百科宣布将早前申请到的&quot;维基百科&quot;中文商标免费捐赠给维基基金会. 维基基金会负责著名百科网站维基百科的运营.9月15日下午,维基百科创始人吉米·威尔士(Jimmy Wales)在北京到访了互动百科,与该公司CEO潘海东展开 对话,捐赠仪式在此次对话结束后进行. 互动百科2007年便申请注册了&quot;维基百科&quot;中文商标,但尚未将其投入商业活动.对于外界质疑其注册行为目的,互动在线CEO潘海东回应称,此前的注册是为了&quot;避免遭受他人			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8JLxVb.html" rel="bookmark">维基百科之父威尔士：中文知识含量将大幅提升</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				维基之父维基之父 43岁的吉米·威尔士看上去十分低调. 在正式面见记者之前,一身黑衣打扮的他始终沉默不语,规规矩矩地坐在自己的位置上,神情略显紧张地打量着周遭的人们.唯一显得有些&quot;另类&quot;的物件,是架在他鼻梁上的眼镜,鲜红色.当有人称赞这副眼镜非常&quot;酷&quot;时,他羞涩地解释:&quot;这是朋友送给我的,在装束上我总是听取女士们的建议.&quot;另外一件令他坐立不安的事情,是他的头衔:&quot;维基之父&quot;. 创立于2001年的维基百科网站,以&quot;为全			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7kmOM.html" rel="bookmark">&lbrack;python学习&rsqb; 简单爬取维基百科程序语言消息盒</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        文章主要讲述如何通过Python爬取维基百科的消息盒(Infobox),主要是通过正则表达式和urllib实现:后面的文章可能会讲述通过BeautifulSoup实现爬取网页知识.由于这方面的文章还是较少,希望提供一些思想和方法对大家有所帮助.如果有错误或不足之处,欢迎之处:如果你只想知道该篇文章最终代码,建议直接阅读第5部分及运行截图. 一. 维基百科和Infobox         你可能会疑惑Infobox究竟是个什么东西呢?下面简单介绍.        维基百科作为目前规			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJerADp.html" rel="bookmark">被&OpenCurlyDoubleQuote;革了命&rdquo;的维基百科，和进化中的知识协作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注:再发深度长文,是因为从互联网早期民主机制下&quot;人人皆可编辑&quot;的网络文化已经逐渐被颠覆,而随着社交网络.协作化内容社区的探索,人类通过网络构造的新的知识图谱,获取新的内容的方式正在深刻变革.也许你并没有注意到,用历史观来看人类知识图景的变迁,确实值得反思.钛媒体作者Lonelist的深度长文推荐如下: 如果你不止一次看到维基百科的募捐广告,你就会意识到,这个数字时代的&quot;亚历山大图书馆&quot;有多么脆弱,同时又是多么坚不可摧. &quot;让人类所有的知识百川汇海&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNOQv7p.html" rel="bookmark">Viki：视频字幕版的维基百科</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者: 南方周末记者 陈中小路 实习生 刘治兵 发自上海 全球每年生产的影视剧,好莱坞只占15%,其余的则因语言的障碍而难为人知.Viki瞄准另外的85%,通过开放式地自由翻译,试图建立一个跨语言的全球影视生态系统.不过,如何从这个系统中赚到钱,目前还是个挑战. 在一个名为ViKi(ViKi.com)的视频字幕分享社区里,来自世界各地的202位用户正在为中国热播剧&lt;步步惊心&gt;制作外语字幕,而你随时都可以成为第203位. 在这个网站注册完成后,进入&lt;步步惊心&gt;的目录页,再点击某一集的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyd9Zb.html" rel="bookmark" class="title">Photoshop调色教程&colon;调制复古色调照片</a>
					<div>
						Photoshop调制复古色调照片,图文教程. 先看看原图 完成图 1打开原图 选择 图像模式 lab颜色 2 在lab模式下进入通道 选择a通道 按住Alt鼠标左键点击a通道载入选区 选择反向(Ct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDnW6M.html" rel="bookmark" class="title">Photoshop制作粉色水晶蝴蝶</a>
					<div>
						水晶蝴蝶制作重点是把蝴蝶翅膀部分的高光渲染出来,过程也比较简单.先渲染整体的高光,做出水晶底色,然后再慢慢细化局部的高光和暗部即可. 最终效果 photoshop教程 1.新建一个800 * 600像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl1Xqp.html" rel="bookmark" class="title">PHP 中实现Timer功能使用pcntl和libevent</a>
					<div>
						&lt;?php function newChild($func_name) { echo &quot;enter newChild\n&quot;; $args = func_get_args(); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwdBOb.html" rel="bookmark" class="title">Fw与Dw结合：看实例学切片</a>
					<div>
						织梦论坛(http://www.it365cn.com/bbs/)上有不少人问关于切片的问题,同样也有不少人写这样的教程,其中也有像本文这样通过实例来讲解的,看了一些之后觉得,如果是纯文字的经验之谈对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wRXqp.html" rel="bookmark" class="title">设计模式学习笔记&lpar;二十一&rpar;&mdash;Composite模式</a>
					<div>
						今天开始学习Composite模式,首先让我们看一下它的定义: 将对象组合成树形结构以表示&quot;整体-部分&quot;的层次结构.Composite模式使单个对象和组合对象的使用具有一致性. 下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR1nDz.html" rel="bookmark" class="title">使用SQL Mail收发和自动处理邮件</a>
					<div>
						SQL SERVER提供了通过EXCHANGE或OUTLOOK收发邮件的扩展存储过程,下面将这几个过程简单的介绍一下. 一.启动SQL Mail @user和@password都是可选的 也可打开En ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PdejM.html" rel="bookmark" class="title">Photoshop合成正在驱动魔法球的帅哥</a>
					<div>
						  Photoshop合成正在驱动魔法球的帅哥           最终效果 1.首先打开一个帅哥摆造型的图片,用钢笔工具把主体人物抠出,转为选区,ctrl+J复制选区到新层. 2.打开云彩图片.滤镜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2OXBp.html" rel="bookmark" class="title">什么是域名Url转发</a>
					<div>
						URL(Uniform Resource Locator:统一资源定位器)是WWW页的地址,它从左到右由下述部分组成: ·Internet资源类型(scheme):指出WWW客户程序用来操作的工具.如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg33lmM.html" rel="bookmark" class="title">Win7用WPS制作名单表格防止重复输入的方法</a>
					<div>
						  Win7用WPS制作名单表格防止重复输入的方法 1.首选在列表中选取需要防止重复的单元格列,然后点击菜单栏中的[数据]-[有效性]; 2.在&quot;设置&quot;选卡中允许下拉菜单中选择&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaeymM.html" rel="bookmark" class="title">使用java连接AD域&comma;验证账号密码是否正确</a>
					<div>
						web项目中有时候客户要求我们使用ad域进行身份确认,不再另外做一套用户管理系统.其实客户就是只要一套账号可以访问所有的OA,CRM等办公系统. 这就是第三方验证.一般有AD域,Ldap,Radius ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVwV8b.html" rel="bookmark" class="title">mfc csv 中文-mfc 操作csv文件时，无法写入汉字</a>
					<div>
						问题描述 mfc 操作csv文件时,无法写入汉字 使用vs2013向csv文件写数据,但是无法写入汉字,英文和数字可以正常写入 求大神指导 解决方案 //设置语言为中文,否则在Unicode编码下读出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwNRdp.html" rel="bookmark" class="title">《Android程序设计》一1&period;2 小试牛刀：确认安装是否能够正常工作</a>
					<div>
						1.2 小试牛刀:确认安装是否能够正常工作 如果遵循本章前面给出的步骤, Android SDK安装就完成了.但为了确保安装能够正常工作,创建一个简单的Android应用进行验证. 1.2.1 创建A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7m1kM.html" rel="bookmark" class="title">跟我一起数据挖掘（12）&mdash;&mdash;特征值和特征向量</a>
					<div>
						矩阵的特征值和特征向量 设是一个阶方阵,是一个数,如果方程                                                                (1) 存在非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZAvZp.html" rel="bookmark" class="title">云计算时代的以太网交换机要求</a>
					<div>
						你对云计算有多少的了解?今天小编将为大家简单介绍一下,欢迎大家一起进行学习.由于ASIC技术和网络处理器的不断发展不断进步,以及网络慢慢被IP技术所占领,以太网技术已经跨过了局域网时代,在城域网和广域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR5GYp.html" rel="bookmark" class="title">2月27日外电头条&colon;网络性能优化的秘诀和误区</a>
					<div>
						[51CTO.com快译]以太网的出现带来了企业网络的普及.现如今,企业网络特性和网络分析工具变得愈来愈 复杂.企业利用互联网传播信息,运营电子商务,在公司网络建设上投入巨大成本,因此,保持网络的正常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmPKvM.html" rel="bookmark" class="title">jboss-4&period;2&period;1&period;GA上部署myfaces问题</a>
					<div>
						问题描述 我总是遇到这个问题,jboss中原有的jsf注释掉了,感觉需要考虑得都考虑了,这是啥原因?有人遇到吗?[StartupServletContextListener]Errorinitiali ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA8gZM.html" rel="bookmark" class="title">招聘淡季 人才网应为下一个热潮做多少准备</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 即将步入1月,距离春节还有2个月的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg4qZM.html" rel="bookmark" class="title">apache&plus;php&plus;mysql&plus;window的配置</a>
					<div>
						问题描述 apache+php+mysql+window的配置 apache和php,mysql数据库都安装配置好了,.php网页也可以解析了,就是连接数据库就出错了,无法连接数据库,百度上的方法几乎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkVNDM.html" rel="bookmark" class="title">盛大游戏9500万美元收购《龙之谷》开发商</a>
					<div>
						9月9日凌晨消息,盛大游戏在今日发布的第二季度财报中宣布,公司已经达成以9500万美元(约6.45亿元人民币)价格收购韩国网络游戏开发商Eyedentity Games的交易,后者是&lt;龙之谷&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodgldM.html" rel="bookmark" class="title">C&num; 大哥们帮帮我～！</a>
					<div>
						问题描述 classProgram{staticintmaxValue(int[]intarray){intmaxVal=intarray[0];for(inti=1;i&lt;intarray.Le ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodg8DM.html" rel="bookmark" class="title">PostgreSQL 大实例的备份方案之一</a>
					<div>
						基于流复制的HA, 采样如下方案. https://github.com/digoal/PostgreSQL_HA_with_primary_standby_2vip 本文介绍一下, 在没有其他主机的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLENNM.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;5&period;12 操作性和灵巧性</a>
					<div>
						5.12 操作性和灵巧性 操作性是指机器人能够抓取(Grasp)并操作(Manipulate)人类生产生活环境中大量的日常物品.由于日常用品的形状.大小.材质和重量都不一样,在缺乏如人类一般精准的物品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jvx3z.html" rel="bookmark" class="title">kubernetes（1）：Centos7 安装 kubernetes 1&period;4&period;0 版本</a>
					<div>
						首先看到最新的kubernetes 1.4.0 发布了.激动了下,就开始研究了. 本文的原文连接是: http://blog.csdn.net/freewebsys/article/details/5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk7xXz.html" rel="bookmark" class="title">分不多，但请求高人帮我解决一个 checkbox问题</a>
					<div>
						问题描述 checkboxidname口1aa口2aa口4aa口3aa口我要如何做到有一个文本框在文本框里面输入一个数字然后在选择了checkbox的情况下点击按扭一次更新所有选择的checkbox的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYOOLb.html" rel="bookmark" class="title">我叫MT2试练塔60-69层怎么通关 60-69层推荐阵容通关攻略</a>
					<div>
						试练塔60-69层阵容搭配:哀木涕.大小姐.沉鱼.小奶长者.中奶怀特. 因为60-69层的怪物以物理怪物为主,并且实力比较强悍,所以对于紫卡也有着很高的要求.玩家们在挑战中需要注意,千万不要自动推塔, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYO53b.html" rel="bookmark" class="title">jquery实现奇偶行赋值不同css值&lowbar;jquery</a>
					<div>
						效果如下:  使用jquery我们可以轻松的实现上面效果,代码如下: 复制代码 代码如下: &lt;html&gt; &lt;head&gt; &lt;title&gt;jquery奇偶行css效果& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7O0mb.html" rel="bookmark" class="title">实例讲解使用原生JavaScript处理AJAX请求的方法&lowbar;javascript技巧</a>
					<div>
						Ajax 是异步的JavaScript和XML的简称,是一种更新页面某部分的机制.它赋予了你从服务器获取数据后,更新页面某部分的权力,从而避免了刷新整个页面.另外,以此方式实现页面局部更新,不仅能有效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jge3p.html" rel="bookmark" class="title">不许用户用Google支付服务 eBay在加州被指垄断</a>
					<div>
						eBay的子公司PayPal正面临着来自美国加利福尼亚州一项反垄断指控.控方宣称,eBay以不正当手段,垄断卖方在其网站上所能使用的付款方式. eBay则否认其存在垄断行为.在递交给美国证券交易委员会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Yxk0p.html" rel="bookmark" class="title">居民区待拆有线信号先撤</a>
					<div>
						歌华称拆迁开始后不收费不维修:广和东里部分信号已恢复 本报讯 (记者 蓝筠) 日前,朝阳区广和东里拆迁区部分居民家有线电视信号中断.歌华有线称,自该区域拆迁以来有线电视已撤网,不再向用户收费,同时对设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdQ3BM.html" rel="bookmark" class="title">资本疯入大数据行业：沾边就能估值过亿</a>
					<div>
						大数据的概念最早可以追溯到2001年麦肯锡的一份报告.到了2009年,美国将大数据上升为国家战略资源.2012年左右大数据开始在中国崭露头角. 2015年,国务院印发&lt;促进大数据发展行动纲要&g ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
